#
# spec file for package perl-YAML-Tidy
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name YAML-Tidy
Name:           perl-YAML-Tidy
Version:        0.10.0
Release:        1.4
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Tidy YAML files
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/T/TI/TINITA/%{cpan_name}-v%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Getopt::Long::Descriptive)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Warnings) >= 0.029
BuildRequires:  perl(YAML::LibYAML::API) >= v0.14.0
BuildRequires:  perl(YAML::LibYAML::API::XS)
BuildRequires:  perl(YAML::PP::Common)
BuildRequires:  perl(YAML::PP::Highlight)
BuildRequires:  perl(YAML::PP::Parser)
BuildRequires:  perl(experimental)
Requires:       perl(Getopt::Long::Descriptive)
Requires:       perl(YAML::LibYAML::API) >= v0.14.0
Requires:       perl(YAML::LibYAML::API::XS)
Requires:       perl(YAML::PP::Common)
Requires:       perl(YAML::PP::Highlight)
Requires:       perl(YAML::PP::Parser)
Requires:       perl(experimental)
%{perl_requires}

%description
yamltidy is a linter or rather a formatter for YAML files.

It can adjust formatting without removing comments or blank lines.

For examples see https://perlpunk.github.io/yamltidy

The code can be found at https://github.com/perlpunk/yamltidy.

%prep
%autosetup  -n %{cpan_name}-v%{version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTING.md README.md
%license LICENSE

%changelog
* Fri Feb  2 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.10.0
  see /usr/share/doc/packages/perl-YAML-Tidy/Changes
  v0.10.0 2024-02-01 15:19:24+01:00
  - Ensure quotes are not removed from a scalar in a flow collection
    if it contains things like '{'
* Fri Jan 19 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.9.0
  see /usr/share/doc/packages/perl-YAML-Tidy/Changes
  v0.9.0 2024-01-18 21:45:25+01:00
  - Add option --batch
  - Add option --verbose
  - Add yamltidy.pod
* Sat Jan  6 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.8.0
  see /usr/share/doc/packages/perl-YAML-Tidy/Changes
  v0.8.0 2024-01-05 22:38:36+01:00
  - Fix tidying unicode files
  - Require YAML::LibYAML::API v0.14.0
  - Allow seralizing reused anchors
  - Change module versioning scheme
* Sun Aug  7 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.007
  see /usr/share/doc/packages/perl-YAML-Tidy/Changes
  0.007 2022-08-06 00:09:43+02:00
  - Improve scalar style tidying
  - Also tidy scalar style in flow collections
  - Fix adjacent values if key turns into plain
    `{"key":23} --> {key: 23}`
* Wed Jun  8 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.006
  see /usr/share/doc/packages/perl-YAML-Tidy/Changes
  0.006 2022-06-07 15:12:11+02:00
  - Fix scalar style
* Sun Apr 17 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.005
  see /usr/share/doc/packages/perl-YAML-Tidy/Changes
  0.005 2022-04-16 21:59:58+02:00
  - Fix tarball (remove accidentally included etc/docker/perl5 directory)
  0.004 2022-04-16 21:51:25+02:00
  - Add option for indenting sequences in block mappings
  - Add option for quoting (and use plain by default)
  - Add option for adding or removing header/footer
* Sun Apr 10 2022 Tina Müller <tina.mueller@suse.com>
- Initial submission
